Name: ratpoison
Version: 1.2.2
Release: alt2

Group: Graphical desktop/Other
Summary: Ratpoison is a simple Window Manager largely modelled after Screen
License: GPL
Url: http://%name.sourceforge.net/

Source: %name-%version.tar.bz2
Source1: RATPOISON.xpm

Requires: xvt
Requires(post,preun): /usr/sbin/install_info

# Automatically added by buildreq on Sun Oct 05 2003
BuildRequires: XFree86-devel XFree86-libs

%description
Ratpoison is a simple window manager with no large library dependencies,
no fancy graphics, no window decorations, and no rodent dependence. It
is largely modeled after GNU Screen, which has done wonders in the
virtual terminal market. All interaction with the window manager is done
through keystrokes. ratpoison has a prefix map to minimize the key
clobbering that cripples EMACS and other quality pieces of software. All
windows are maximized and kept maximized to avoid wasting precious
screen space.

%prep
%setup -q
# Kinda hack. Maybe don't use %%makeinstall and install all by hand?
# Because of /usr/share/%name and /usr/share/doc/%name
%__cp -ar doc DOCS
%__cp contrib/* DOCS
%__rm -f DOCS/Makefile* DOCS/*.info DOCS/*.1 DOCS/*.tex*
#%__chmod a-x DOCS/*

%build
%configure \
    --program-transform-name="" \
    --with-x \
    --with-xterm=xvt
%make

%install
%makeinstall

%__install -d %buildroot/%_docdir %buildroot/%_iconsdir

# startfile
%__cat > %buildroot/%_bindir/start%name << EOF
#!/bin/sh
exec %_bindir/%name
EOF

# session file
%__install -d %buildroot/%_sysconfdir/X11/wmsession.d
%__install -m 644 %SOURCE1 %buildroot/%_iconsdir/RATPOISON.xpm
%__cat > %buildroot/%_sysconfdir/X11/wmsession.d/16%name << EOF
NAME=%name
ICON=%_iconsdir/RATPOISON.xpm
EXEC=%_bindir/start%name
DESC=%name window manager
SCRIPT:
exec %_bindir/start%name
EOF

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%postun
%update_wms
#%uninstall_info %name.info

%files
%doc INSTALL README TODO AUTHORS NEWS ChangeLog DOCS/*
#
%config(noreplace) %_sysconfdir/X11/wmsession.d/16%name
#
%attr(755,root,root) %_bindir/*
#
%_man1dir/%name.1*
%_infodir/%name.info*
#
%_iconsdir/RATPOISON.xpm

%changelog
* Tue Oct 07 2003 Sergey V Turchin <zerg at altlinux dot org> 1.2.2-alt2
- rebuild

* Sun Oct 05 2003 Anton V. Denisov <avd@altlinux.org> 1.2.2-alt1.1
- start%name script fixed.
- Automatically added buildreq.
- Spec file tweaks.
- ChangeLog added to %%doc.
- Requires: xvt
- Requires(post,preun): /usr/sbin/install_info
- relocated %%uninstall_info call into %%preun
  as /etc/rpm/macros.d/texinfo suggests.
- TODO: system-wide /etc/ratpoisonrc,
	find ratmenu(1), add Packager tag.

* Sat Jun 21 2003 Sergey V Turchin <zerg at altlinux dot org> 1.2.2-alt1
- build for ALT

* Sun Jun 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2.2-1mdk
- 1.2.2
- rm -rf $RPM_BUILD_ROOT in correct stage
- cleanups
- drop lib requires, rpm will figure it out by itself
- drop useless Prefix tag
- drop useless Provides tag
- drop useless libnamifaction stuff (w00t? not a single lib, m0000h!)
- added start and session file
- fix problem with info

* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 1.1.1-2mdk
- rebuild for new glibc
- correct some spec file problem

* Tue Oct 15 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.1.1-1mdk
- first release for mandrakesoft
